%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pygtkglext
Version:        1.1.0
Release:        6%{_dist_release}
Summary:        Python bindings for GtkGLExt
License:        LGPLv2+
Group:          System Environment/Libraries
URL:            http://www.k-3d.org/gtkglext/Main_Page
Source:         http://downloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtkglext-devel pygtk2-devel python-devel
Requires:       pygtk2 PyOpenGL

Vendor: Project Vine
Distribution: Vine Linux

%description
Python bindings for GtkGTLExt


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig pygtk2-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#iconv -f EUC-JP -t UTF8 AUTHORS > tmp
#mv tmp AUTHORS
#iconv -f EUC-JP -t UTF8 README > tmp
#mv tmp README

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
if [ %{python_sitelib} != %{python_sitearch} ]; then
  mv $RPM_BUILD_ROOT%{python_sitelib}/gtk-2.0/gtk/gdkgl/* \
     $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0/gtk/gdkgl
  mv $RPM_BUILD_ROOT%{python_sitelib}/gtk-2.0/gtk/gtkgl/* \
     $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0/gtk/gtkgl
fi
rm $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0/gtk/gdkgl/_gdkgl.la
rm $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0/gtk/gtkgl/_gtkgl.la

# this can be executed to run some basic tests (it has a main and shebang)
chmod +x $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0/gtk/gtkgl/apputils.py

# for %%doc
rm examples/Makefile*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.LIB README examples
%{python_sitearch}/gtk-2.0/gtk/gdkgl
%{python_sitearch}/gtk-2.0/gtk/gtkgl

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pygtk/2.0/defs/*


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-6
- rebuild with VineSeed environment

* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-5
- rebuild with python-2.7.2

* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 1.1.0-4
- rebuilt with rpm-4.8.1 for pkg-config

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.1.0-3
- rebuilt with python-2.6.4

* Wed Jul 23 2008 Shu KONNO <owa@bg.wakwak.com> - 1.1.0-2vl5
- rebuilt with python-2.5.2

* Mon Apr 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.1.0-1vl5
- Initial build for Vine Linux

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.0-4
- Autorebuild for GCC 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-3
- Update License tag for new Licensing Guidelines compliance

* Thu Mar 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-2
- Various specfile improvements (bz 234122)

* Sat Mar 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-1
- Initial Fedora Extras package
